Legacy Catalog
Legacy catalog and catalog-instance APIs retained for compatibility.
/api/v1/catalogList v1 catalog
List v1 catalog for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/catalog" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/categoriesList catalog categories
List catalog categories for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/catalog/categories" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/instancesList catalog instances
List catalog instances for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/catalog/instances" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/instancesCreate or run catalog instances
Create or run catalog instances for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/catalog/instances" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example","metadata":{}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/instances/{id}Get instances id
Get instances id for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/catalog/instances/{id}" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/instances/{id}Replace instances id
Replace instances id for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X PUT "https://api.authspoke.com/api/v1/catalog/instances/{id}" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example","metadata":{}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/instances/{id}Delete instances id
Delete instances id for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X DELETE "https://api.authspoke.com/api/v1/catalog/instances/{id}" \
-H "Authorization: Bearer $TOKEN"/api/v1/catalog/instances/{id}/assetsGet id assets
Get id assets for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/catalog/instances/{id}/assets" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/instances/{id}/auditGet id audit
Get id audit for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/catalog/instances/{id}/audit" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/instances/{id}/capabilitiesGet id capabilities
Get id capabilities for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/catalog/instances/{id}/capabilities" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/instances/{id}/discoverCreate or run id discover
Create or run id discover for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/catalog/instances/{id}/discover" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example","metadata":{}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/instances/{id}/healthGet health
Get health for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/catalog/instances/{id}/health" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/instances/{id}/importCreate or run id import
Create or run id import for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/catalog/instances/{id}/import" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example","metadata":{}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/instances/{id}/test-connectionTest connection
Test connection for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/catalog/instances/{id}/test-connection" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example","metadata":{}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/instances/pipelineList instances pipeline
List instances pipeline for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/catalog/instances/pipeline" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/instances/testTest connection
Test connection for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/catalog/instances/test" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example","metadata":{}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/catalog/registryList catalog registry
List catalog registry for the Enterprise Connector Framework. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/catalog/registry" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}